kobject_set_name
Prev | Kernel objects manipulation | Next

## Name

kobject_set_name — Set the name of an object

## Synopsis

`int kobject_set_name (` | struct kobject * | kobj,
| const char * | fmt,
|  | ...`)`;

## Arguments

`kobj`

  object.

`fmt`

  format string used to build the name

`...`

  variable arguments

## Description

If strlen(name) >= KOBJ_NAME_LEN, then use a dynamically allocated string that `kobj`->k_name points to. Otherwise, use the static `kobj`->name array.

Prev | Up | Next
kobject_register | Home | kobject_del